Package writer2latex.office

# Class TableLine

java.lang.Object
writer2latex.office.TableLine

public class TableLine extends Object

This class represents the properties of a row or column in a table

## Constructor Summary

Constructors
Constructor
Description
`TableLine(Node node, boolean bHeader, boolean bDisplay)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDefaultCellStyleName()`
`String`
`getStyleName()`
`String`
`getVisibility()`
`boolean`
`isCollapse()`
`boolean`
`isDisplay()`
`boolean`
`isFilter()`
`boolean`
`isHeader()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TableLine

public TableLine(Node node, boolean bHeader, boolean bDisplay)

## Method Details

### getStyleName

public String getStyleName()

### getVisibility

public String getVisibility()

### isCollapse

public boolean isCollapse()

### isFilter

public boolean isFilter()

### getDefaultCellStyleName

public String getDefaultCellStyleName()

### isDisplay

public boolean isDisplay()

### isHeader

public boolean isHeader()